Show / Hide Table of Contents

# Struct WeaponState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct WeaponState

### Fields

| Improve this Doc View Source

#### AutoSheatheState

##### Declaration

    public bool AutoSheatheState

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### AutoSheathTimer

##### Declaration

    public float AutoSheathTimer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### IsAutoAttacking

##### Declaration

    public bool IsAutoAttacking

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsUnsheathed

##### Declaration

    public bool IsUnsheathed

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SheatheCooldown

##### Declaration

    public float SheatheCooldown

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WeaponUnsheathed

##### Declaration

    public byte WeaponUnsheathed

##### Field Value

Type | Description
--- | ---
System.Byte |